LoadingException (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.verifier.exc.LoadingException,LoadingException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier.exc
Class LoadingException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
                              |
                              +--org.apache.bcel.verifier.exc.LoadingException

All Implemented Interfaces:
  java.io.Serializable

public class LoadingException
extends VerifierConstraintViolatedException

When loading a class file, BCEL will throw an instance of LoadingException if the class file is malformed; so it is not conforming to the "Pass 1" verification process as described in the Java Virtual Machine specification, 2nd. edition.

Version:
  $Id: LoadingException.java,v 1.2 2002/06/13 09:32:50 enver Exp $
Author:
  Enver Haase
See Also:
  Serialized Form

Constructor Summary
`LoadingException()` Constructs a new LoadingException with null as its error message string.
`LoadingException(java.lang.String message)` Constructs a new LoadingException with the specified error message.

Methods inherited from class org.apache.bcel.verifier.exc.VerifierConstraintViolatedException
`extendMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LoadingException

    public LoadingException()

  Constructs a new LoadingException with null as its error message string.

### LoadingException

    public LoadingException(java.lang.String message)

  Constructs a new LoadingException with the specified error message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.